summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Marek Buras <cyfr0n@go2.pl>2010-05-13 00:57:49 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:49 +0200
commit3a5675a9cf01cb6cb88d1d966062159d88a79a84 (patch)
tree94ed2c79206ef56c66f87da1dd3c669be3136994 /development
parentd4bce28489add0752b253bdc32374b0dbfdfed82 (diff)
downloadslackbuilds-3a5675a9cf01cb6cb88d1d966062159d88a79a84.tar.gz
slackbuilds-3a5675a9cf01cb6cb88d1d966062159d88a79a84.tar.xz
development/avr-gdb: Added to 13.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/avr-gdb/README2
-rw-r--r--development/avr-gdb/avr-gdb.SlackBuild87
-rw-r--r--development/avr-gdb/avr-gdb.info10
-rw-r--r--development/avr-gdb/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/development/avr-gdb/README b/development/avr-gdb/README
new file mode 100644
index 0000000000..6a3b1dc29a
--- /dev/null
+++ b/development/avr-gdb/README
@@ -0,0 +1,2 @@
+This package contains version of GNU gdb, which can be
+used to debug C and C++ programs compiled for the AVR platform.
diff --git a/development/avr-gdb/avr-gdb.SlackBuild b/development/avr-gdb/avr-gdb.SlackBuild
new file mode 100644
index 0000000000..938766e29d
--- /dev/null
+++ b/development/avr-gdb/avr-gdb.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for avr-gdb
+
+# Written by Marek Buras <cyfr0n (at) go2 !dot pl>
+
+# This file is placed in the public domain.
+
+PRGNAM=avr-gdb
+VERSION=${VERSION:-6.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf gdb-$VERSION
+tar xvf $CWD/gdb-$VERSION.tar.bz2
+cd gdb-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --disable-nls \
+ --target=avr \
+ --program-prefix="avr-" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove useless and/or conflicting stuff
+rm -rf $PKG/usr/{info,lib${LIBDIRSUFFIX}}
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/avr-gdb/avr-gdb.info b/development/avr-gdb/avr-gdb.info
new file mode 100644
index 0000000000..5c67b961c8
--- /dev/null
+++ b/development/avr-gdb/avr-gdb.info
@@ -0,0 +1,10 @@
+PRGNAM="avr-gdb"
+VERSION="6.8"
+HOMEPAGE="http://www.gnu.org/software/gdb/"
+DOWNLOAD="ftp://ftp.gnu.org/pub/gnu/gdb/gdb-6.8.tar.bz2"
+MD5SUM="c9da266b884fb8fa54df786dfaadbc7a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marek Buras"
+EMAIL="cyfr0n@go2.pl"
+APPROVED="rworkman"
diff --git a/development/avr-gdb/slack-desc b/development/avr-gdb/slack-desc
new file mode 100644
index 0000000000..26061b5a8b
--- /dev/null
+++ b/development/avr-gdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+avr-gdb: avr-gdb (Debugger for the AVR platform)
+avr-gdb:
+avr-gdb: This package contains version of GNU gdb, which can
+avr-gdb: be used to debug C and C++ programs compiled for the AVR platform.
+avr-gdb:
+avr-gdb:
+avr-gdb:
+avr-gdb:
+avr-gdb:
+avr-gdb:
+avr-gdb: